package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ReceptionPersonnel;

/**
 * 接待人员信息Mapper接口
 * 
 * @author ruoyi
 * @date 2023-11-02
 */
public interface ReceptionPersonnelMapper 
{
    /**
     * 查询接待人员信息
     * 
     * @param receptionId 接待人员信息主键
     * @return 接待人员信息
     */
    public ReceptionPersonnel selectReceptionPersonnelByReceptionId(Long receptionId);

    /**
     * 查询接待人员信息列表
     * 
     * @param receptionPersonnel 接待人员信息
     * @return 接待人员信息集合
     */
    public List<ReceptionPersonnel> selectReceptionPersonnelList(ReceptionPersonnel receptionPersonnel);
    public int selectReceptionPersonnelCount();

    /**
     * 新增接待人员信息
     * 
     * @param receptionPersonnel 接待人员信息
     * @return 结果
     */
    public int insertReceptionPersonnel(ReceptionPersonnel receptionPersonnel);

    /**
     * 修改接待人员信息
     * 
     * @param receptionPersonnel 接待人员信息
     * @return 结果
     */
    public int updateReceptionPersonnel(ReceptionPersonnel receptionPersonnel);

    /**
     * 删除接待人员信息
     * 
     * @param receptionId 接待人员信息主键
     * @return 结果
     */
    public int deleteReceptionPersonnelByReceptionId(Long receptionId);

    /**
     * 批量删除接待人员信息
     * 
     * @param receptionIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteReceptionPersonnelByReceptionIds(Long[] receptionIds);
}
